org.bouncycastle.asn1.pkcs

## Class MacData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.pkcs.MacData

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class MacData
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacData(DigestInfo digInfo, byte[] salt, int iterationCount)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MacData` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getIterationCount()`
    `DigestInfo` | `getMac()`
    `byte[]` | `getSalt()`
    `ASN1Primitive` | `toASN1Primitive()` MacData ::= SEQUENCE { mac DigestInfo, macSalt OCTET STRING, iterations INTEGER DEFAULT 1 -- Note: The default is for historic reasons and its use is deprecated.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MacData

          public MacData(DigestInfo digInfo,
                         byte[] salt,
                         int iterationCount)

  - ### Method Detail

    - #### getInstance

          public static MacData getInstance(java.lang.Object obj)

    - #### getMac

          public DigestInfo getMac()

    - #### getSalt

          public byte[] getSalt()

    - #### getIterationCount

          public java.math.BigInteger getIterationCount()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           MacData ::= SEQUENCE {
               mac      DigestInfo,
               macSalt  OCTET STRING,
               iterations INTEGER DEFAULT 1
               -- Note: The default is for historic reasons and its use is deprecated. A
               -- higher value, like 1024 is recommended.

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        the basic ASN1Primitive construction.